package com.alibaba.druid.sql.ast.expr;

import com.alibaba.druid.sql.ast.SQLExprImpl;
import com.alibaba.druid.sql.ast.SQLObject;
import com.alibaba.druid.sql.visitor.SQLASTVisitor;
import java.util.Collections;
import java.util.List;

public class SQLDefaultExpr extends SQLExprImpl implements SQLLiteralExpr {
   public boolean equals(Object o) {
      return o instanceof SQLDefaultExpr;
   }

   public int hashCode() {
      return 0;
   }

   protected void accept0(SQLASTVisitor visitor) {
      visitor.visit(this);
      visitor.endVisit(this);
   }

   public String toString() {
      return "DEFAULT";
   }

   public SQLDefaultExpr clone() {
      return new SQLDefaultExpr();
   }

   public List<SQLObject> getChildren() {
      return Collections.emptyList();
   }
}
